<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Zumo CC3200 README.md</title>
    <link rel="stylesheet" type="text/css" href="etc/github-markdown.css">
    <style>
      .markdown-body {
         min-width: 200px;
         max-width: 790px;
         margin: 0 auto;
         padding: 30px;
      }
    </style>
  </head>
  <body ><article class="markdown-body">
<p><a href="https://git.ti.com/zumo-cc3200/zumo-cc3200/archive-tarball/master"><img src="etc/build.svg" alt="download" title="" /></a></p>

<h1><a href="http://processors.wiki.ti.com/index.php/ZumoCC3200#The_Zumo_CC3200" title="ZumoCC3200 Home Page">Zumo CC3200</a></h1>

<p>The Zumo CC3200 project was created to enable makers to easily create
applications that leverage the power of a <a href="http://www.ti.com/product/cc3200">TI CC3200</a> connected to a
motorized hardware platform equipped with Inertial Measurement (IMU) 
sensors.</p>

<p>This repository provides an Energia library, ZumoCC3200, that provides core
functions that make it possible to create applications with very little code
and without requiring in-depth knowledge of the CC3200 or the specific IMU
sensors used to enable closed-loop motor control.  As with most libraries, 
ZumoCC3200 includes numerous examples that serve as starting points for
new projects.</p>

<p>Each of the ZumoCC3200 examples consists of two programs: an Energia program
that runs on the Zumo CC3200 robot and a <a href="https:/processing.org" title="Processing Home Page">Processing</a>
sketch that runs on your laptop. These two programs communicate with one
another via WiFi, enabling you to view telemetry data and control the bot
from your laptop.</p>

<h2><a href="https://gitorious.design.ti.com/sb/zumo/trees/master/src/Energia/libraries" title="ZumoCC3200 Energia Library Sources">The ZumoCC3200 Library</a></h2>

<p>To use the ZumoCC3200 library, </p>

<ul>
<li><a href="https://git.ti.com/zumo-cc3200/zumo-cc3200/archive-tarball/master" title="ZumoCC3200 Repo Download">Download the ZumoCC3200 library</a>, </li>
<li><a href="http://processors.wiki.ti.com/index.php/ZumoCC3200Demos#Install_the_Energia_ZumoCC3200_Library" title="ZumoCC3200 Energia Library Install Instructions">Install the ZumoCC3200 library</a> into your Energia
sketchbook, and</li>
<li><a href="http://processors.wiki.ti.com/index.php/ZumoCC3200Demos#Build_and_Upload_a_Zumo_CC3200_Example" title="ZumoCC3200 Energia Build Instructions">Build and run an example</a></li>
</ul>

<p>Like most Energia/Arduino libraries, the ZumoCC3200 library includes serveral
examples that serve as simple starting points for your project.</p>

<h2><a href="https://gitorious.design.ti.com/sb/zumo/trees/master/src/Processing" title="ZumoCC3200 Processing Sketch Sources">Processing Sketches</a></h2>

<p>The Processing sketches that communicate with the ZumoCC3200 bot are also 
<a href="https://gitorious.design.ti.com/sb/zumo/trees/master/src/Processing" title="ZumoCC3200 Processing Sketch Sources">included in this repo</a>.  Note that some of these sketches
rely on freely available Contributed libraries that must be installed.  </p>

<p>Prerequisite libraries and installation instructions for these sketches is
<a href="http://processors.wiki.ti.com/index.php/ZumoCC3200Demos#Install_Processing_Libraries" title="Processing Library Install Instructions">here</a>.</p>

<h2><a href="license.html">License</a></h2>

<p>All of the files in this repo are Open Source and most are licensed under 
either a BSD 3-clause or MIT license.  However, one file does come with a
GPL-2.0 license.  </p>

<p>Complete license details are provided <a href="license.html">here</a>.</p>

<h2>Contributing</h2>

<p><a href="http://processors.wiki.ti.com/index.php/ZumoCC3200#The_Zumo_CC3200" title="ZumoCC3200 Home Page">Zumo CC3200</a> is a collaborative project originally created as a part of the TI Santa Barbara 2015 Summer Intern program by <a href="http://processors.wiki.ti.com/index.php/ZumoCC3200#Credits" title="Interns">Adam Dai and Tony Oliverio</a>, and you are invited to help. </p>

<p>In-depth details about contributing code, bug fixes, and documentation are
forthcoming.  </p>
  </article></body>
</html>
